Subject: Re: [PATCHv5/RFC 1/6] Documentation: Preparation for gitweb manpages

From: Jakub Narebski <[email-masked]>
Date: Mon, 10 Oct 2011 23:52:24 +0200

On Mon, 10 Oct 2011, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > This patch adds infrastructure for easy generation of only
> > gitweb-related manpages.  It adds a currently empty 'gitweb-doc'
> > target to Documentation/Makefile, and a 'doc' proxy target to
> > gitweb/Makefile.
> 
> I tend to agree with your after-three-dash comment that this separation is
> not necessary, it may be expedient while working on the series, but wants
> to be removed once the series is complete.

Also it is a bit of historical remains, as in original patch by Drew
the manpage (the AsciiDoc source) was in 'gitweb/' directory.

Anyway, I'll remove this patch from the future versions of this patch
series (if there would be need for next version).

[...]
> > ---
> > This commit is not strictly necessary: it only adds "doc" target to
> > gitweb/Makefile, and "gitweb-doc" target to Documentation/Makefile;
> > neither is run when e.g. generating RPM.
> >
> > They are here because they would be here if documentation source was
> > kept along with gitweb script in the 'gitweb/' subdirectory, and to
> > make it easier and faster to test the changes.

-- 
Jakub Narebski
Poland